## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanTransformer.hpp File Reference

Include dependency graph for XalanTransformer.hpp:

Go to the source code of this file.

## Compounds

- struct XalanTransformer::EnsureDestroyCompiledStylesheet
- struct XalanTransformer::EnsureDestroyDocumentBuilder
- class XalanTransformer::EnsureDestroyParsedSource
- class XalanTransformer

## Defines

- #define XALANTRANSFORMER_HEADER_GUARD

## Typedefs

- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  ErrorHandler ErrorHandlerType

## Functions

- XALAN_DECLARE_XERCES_CLASS (EntityResolver) XALAN_DECLARE_XERCES_CLASS(ErrorHandler) XALAN_CPP_NAMESPACE_BEGIN typedef XERCES_CPP_NAMESPACE_QUALIFIER EntityResolver EntityResolverType

## Define Documentation

#define XALANTRANSFORMER_HEADER_GUARD

## Typedef Documentation

typedef XERCES_CPP_NAMESPACE_QUALIFIER ErrorHandler ErrorHandlerType

## Function Documentation

XALAN_DECLARE_XERCES_CLASS ( | EntityResolver )

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.